hwinfo (21.82-2) unstable; urgency=medium

  * d/control: use debhelper 14 and update std-ver 4.7.4

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 02 Aug 2026 22:16:01 +0200

hwinfo (21.82-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063119

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:10:15 +0000

hwinfo (21.82-1) unstable; urgency=medium

  * New upstream version 21.82

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 12 Jul 2022 23:59:11 +0200

hwinfo (21.81-1) unstable; urgency=medium

  * New upstream version 21.81
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 30 Apr 2022 15:17:02 +0200

hwinfo (21.72-1) unstable; urgency=medium

  * New upstream version 21.72
  * Updated upstream changelog
  * Bump std-ver to 4.5.1

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 31 Jan 2021 13:07:49 +0100

hwinfo (21.71-1) unstable; urgency=medium

  * Add Rules-Requires-Root: no
  * New upstream version 21.71
  * Use debhelper 13

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 21 Nov 2020 13:27:00 +0100

hwinfo (21.70-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Tomasz Buchert ]
  * New upstream version 21.70

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 03 May 2020 21:40:14 +0200

hwinfo (21.68-1) unstable; urgency=medium

  * New upstream version 21.68

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 18 Jan 2020 14:12:15 +0100

hwinfo (21.67-1) unstable; urgency=medium

  * New upstream version 21.67

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 28 Jul 2019 10:13:51 +0200

hwinfo (21.66-1) experimental; urgency=medium

  * New upstream version 21.66

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 22 Jun 2019 13:26:19 +0200

hwinfo (21.64-1) experimental; urgency=medium

  * Updated upstream changelog
  * New upstream version 21.64

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 30 Mar 2019 11:39:15 +0100

hwinfo (21.63-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/rules: improve build process (Closes: #898204)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 23 Feb 2019 18:52:02 +0100

hwinfo (21.63-2) unstable; urgency=medium

  * refresh packaging (debhelper 12, std-ver 4.3)

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 10 Jan 2019 00:25:23 +0100

hwinfo (21.63-1) unstable; urgency=medium

  * New upstream version 21.63
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 18 Dec 2018 14:40:12 +0100

hwinfo (21.62-1) unstable; urgency=medium

  * New upstream version 21.62
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 18 Nov 2018 13:12:53 +0100

hwinfo (21.61-1) unstable; urgency=medium

  * New upstream version 21.61

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 03 Nov 2018 08:28:03 +0100

hwinfo (21.60-1) unstable; urgency=medium

  * New upstream version 21.60

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 27 Oct 2018 13:29:26 +0200

hwinfo (21.59-1) unstable; urgency=medium

  * New upstream version 21.59
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 15 Oct 2018 22:56:34 +0200

hwinfo (21.58-1) unstable; urgency=medium

  * New upstream version 21.58

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 11 Oct 2018 08:16:10 +0200

hwinfo (21.57-1) unstable; urgency=medium

  * New upstream version 21.57
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 22 Sep 2018 10:21:05 +0200

hwinfo (21.56-2) unstable; urgency=medium

  * Bump std-ver to 4.1.5 and reformat
  * Rebuild with libx86emu2 dependency

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 03 Aug 2018 12:35:04 +0800

hwinfo (21.56-1) unstable; urgency=medium

  * New upstream version 21.56
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 04 Jul 2018 08:33:18 +0200

hwinfo (21.55-1) unstable; urgency=medium

  * Updated upstream changelog
  * New upstream version 21.55

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 16 Jun 2018 15:54:32 +0200

hwinfo (21.53-1) unstable; urgency=medium

  * Updated upstream changelog
  * New upstream version 21.53

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 19 May 2018 15:27:46 +0200

hwinfo (21.52-1) unstable; urgency=medium

  * New upstream version 21.52
  * Use debhelper at compat 11

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 12 Feb 2018 17:56:22 +0100

hwinfo (21.51-1) unstable; urgency=medium

  * New upstream version 21.51 (Closes: #886952)
  * Update VCS links to salsa
  * Updated std-ver to 4.1.3 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 14 Jan 2018 14:31:37 +0100

hwinfo (21.50-1) unstable; urgency=medium

  * New upstream version 21.50
  * Updated upstream changelog
  * Updated std-ver to 4.1.0 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 29 Oct 2017 09:29:02 +0100

hwinfo (21.49-1) unstable; urgency=medium

  * New upstream version 21.49
  * Updated upstream changelog
  * Use /bin/udevadm instead of /sbin/udevadm (Closes: #852593)

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 19 Sep 2017 00:22:44 +0200

hwinfo (21.47-1) unstable; urgency=medium

  * New upstream version 21.47
  * Updated upstream changelog
  * Updated std-ver to 4.0.0 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 16 Aug 2017 23:28:06 +0200

hwinfo (21.46-1) unstable; urgency=medium

  * New upstream version 21.46
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 13 May 2017 08:55:17 +0200

hwinfo (21.42-1) unstable; urgency=medium

  * New upstream version 21.42
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 05 May 2017 19:37:17 +0200

hwinfo (21.40-1) unstable; urgency=medium

  * New upstream version 21.40
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 01 May 2017 12:51:12 +0200

hwinfo (21.39-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * New upstream version 21.39
  * d/patches: refresh
  * d/*: debhelper 10 and watch 4

  [ Sebastien Badia ]
  * d/control: Migrate to my Debian email
  * d/dirs: Create hwinfo default backup dirs (LP: #1657544)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 15 Apr 2017 12:36:51 +0200

hwinfo (21.38-1) unstable; urgency=medium

  * New upstream version 21.38
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 10 Dec 2016 14:57:05 +0100

hwinfo (21.37-1) unstable; urgency=medium

  * New upstream version 21.37

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 27 Nov 2016 17:15:31 +0100

hwinfo (21.32-1) unstable; urgency=medium

  * New upstream version 21.32

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 25 Oct 2016 21:29:05 +0200

hwinfo (21.30-1) unstable; urgency=medium

  * New upstream version 21.30
  * Updated upstream changelog

 -- Sebastien Badia <seb@sebian.fr>  Sat, 03 Sep 2016 09:44:39 +0200

hwinfo (21.27-1) unstable; urgency=medium

  * Imported Upstream version 21.27
  * Bump Standards-Version to 3.9.8 (no changes)
  * Updated upstream changelog
  * Updated debian/patches

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 12 Jun 2016 18:34:23 +0200

hwinfo (21.23-2) unstable; urgency=medium

  * d/symbols:
      Update symbols file for alpha arch (Closes: #812698)
      Update symbols file for alpha sparc64 (Closes: #812697)
      Thanks Adrian!
  * d/control:
      Update debhelper dependency
      Bump Standards-Version to 3.9.7 (no changes)
      Update Vcs-git field (use https everywhere)

 -- Sebastien Badia <seb@sebian.fr>  Sat, 05 Mar 2016 18:59:20 -0300

hwinfo (21.23-1) unstable; urgency=medium

  * Imported Upstream version 21.23

 -- Sebastien Badia <seb@sebian.fr>  Fri, 16 Oct 2015 11:54:35 +0200

hwinfo (21.22-1) unstable; urgency=medium

  * Imported Upstream version 21.22

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 05 Oct 2015 13:24:23 +0200

hwinfo (21.21-2) unstable; urgency=medium

  [ Sebastien Badia ]
  * d/gen-upstream-changelog: Update script

  [ Tomasz Buchert ]
  * d/rules: fix FTBFS

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 17 Sep 2015 18:48:44 +0200

hwinfo (21.21-1) unstable; urgency=medium

  * Imported Upstream version 21.21
  * d/rules: replace jquery.js with a symlink
  * Override Lintian tags about typos

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 17 Sep 2015 14:58:11 +0200

hwinfo (21.19-1) unstable; urgency=medium

  * Imported Upstream version 21.19
  * d/control: build only on Linux
  * d/symbols: update symbols for sparc

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 15 Jul 2015 20:11:09 +0200

hwinfo (21.14-2) unstable; urgency=medium

  * d/control: set Architecture to 'any' (Closes: #790497)
  * d/*.symbols: update symbols on new architectures

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 02 Jul 2015 00:24:23 +0200

hwinfo (21.14-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * Imported Upstream version 21.14
  * d/gbp.conf: update
  * d/patches: refresh & cleanup
  * d/control: drop dependency on DBUS
  * d/libhd21.symbols: add a new symbol
  * Fix other build problems
  * Upload to unstable

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 23 Jun 2015 14:55:51 +0200

hwinfo (21.12-1) experimental; urgency=medium

  [ Tomasz Buchert ]
  * d/patches: fix reproduciblity issues (Closes: #776717)

  [ Sebastien Badia ]
  * Imported Upstream version 21.12
  * d/control: Fix vcs-browser URL (use cgit)

 -- Sebastien Badia <seb@sebian.fr>  Thu, 05 Mar 2015 15:03:04 +0100

hwinfo (21.11-1) unstable; urgency=low

  [ Tomasz Buchert ]
  * Imported Upstream version 21.11
  * d/patches: refreshed

  [ Sebastien Badia ]
  * d/CHANGELOG: Refresh upstream changelog
  * d/copyright: Refresh dates (copyright)

 -- Sebastien Badia <seb@sebian.fr>  Sun, 18 Jan 2015 17:12:28 +0100

hwinfo (21.6-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * New upstream release.

  [ Sebastien Badia ]
  * d/copyright: Update copyright header.
  * Re-introduce upstream changelog (Thanks Johann).
  * d/control: Bump Standards-Version to 3.9.6 (no changes).

 -- Sebastien Badia <seb@sebian.fr>  Tue, 07 Oct 2014 11:44:23 +0200

hwinfo (21.3-1) unstable; urgency=low

  [ Sebastien Badia ]
  * New upstream release
  * Update libhd21 symbols (add meminfo_xen@Base)
  * d/control: drop linux-kernel-headers build dependency

  [ Tomasz Buchert ]
  * d/control: restrict architectures (like in libx86emu)
  * restrict archs to amd64 i386 armel armhf (Closes: #742298)
  * hide symbols that are not compiled on ARMs (Closes: #742297)

 -- Sebastien Badia <seb@sebian.fr>  Tue, 08 Apr 2014 02:57:46 +0200

hwinfo (21.0-1) unstable; urgency=low

  * New Upstream release 21.0 (closes: #677102)
  * New maintainer, add Vcs-* and Homepage fields (closes: #662731)
  * Update upstream info, correct debian watch file (closes: #667846)
  * Stop using HAL (closes: #613184)
  * Fix DBus assertion errors (upstream) (closes: #661994)
  * Countless package improvements
    * Switch debian/copyright to format 1.0 (machine-readable)
    * Update dh compat level to 9 and bump Standards-Version to 3.9.5
    * Renamed libhd16{-dev,-doc} to libhd20{-dev,-doc} according to new soname.
  * Many fixes to Lintian problems
    * Remove BSD licence (src/int10/AsmMacros.h don't exist anymore)
    * Remove obsolete sparc_kioc and serial_struct patches
    * Quilt refresh patches (cpu.c-alpha_bogo,dbus_pkg_config.patch,
      hwinfo.8-strip_suse,kbd.c-tiocgdev_undefined,sh_support.patch)
    * "gbp pq import" more friendly patches now.
    * patch as-needed patch is managed by upstream now,
      remove ftbfs (src/int10/i10_v86.c doesn't exist)
    * patches Refresh fix_segfault_in_hd_is_xen_on_amd64
    * Clean useless readme

 -- Sebastien Badia <seb@sebian.fr>  Sun, 16 Mar 2014 12:58:41 +0100

hwinfo (16.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch fix_segfault_in_hd_is_xen_on_amd64 which fixes segfaults
    on amd64. Thanks Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
    (Closes: #652146)

 -- Michael Prokop <mika@debian.org>  Mon, 16 Jan 2012 11:02:29 +0100

hwinfo (16.0-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Simon McVittie ]
  * Use pkg-config for D-Bus' cpp flags instead of hard-coding them
    (Closes: #634451, LP: #749278)

  [ Ilya Barygin ]
  * as-needed.patch: fix FTBFS with --as-needed linker option.
  (Closes: #640202)

 -- gregor herrmann <gregoa@debian.org>  Thu, 01 Dec 2011 17:10:26 +0100

hwinfo (16.0-2) unstable; urgency=low

  * Added the patch to port to sh4 (Closes: #546151).
  * Updated Standards Version to 3.8.3.
  * Added README.source (quilt).
  * Modified debian/rules to fix FTBFS (Closes: #538551).

 -- William Vera <billy@billy.com.mx>  Sat, 24 Oct 2009 19:20:16 -0500

hwinfo (16.0-1) unstable; urgency=low

  * New upstream release
  * Renamed libhd15 to libhd16 according to new soname.
  * Updated the watch file

 -- William Vera <billy@billy.com.mx>  Mon, 08 Jun 2009 22:18:36 -0500

hwinfo (15.3-2) unstable; urgency=low

  * Renamed libhd15-doc and libhd15-dev.
  * Library packages are now co-installable (Closes: #495866).
  * Updated Standards-Version to 3.8.1.
  * Updated compat to 5.
  * Updated debhelper version in control file.
  * Deleted useless manpage into debian path.
  * Added BSD License at copyright file to src/int10/AsmMacros.h.
  * Added a patch from gentoo to fix the FTBFS issue. (Closes: #528578).
  * Updated the GPL License version at the copyright file.

 -- William Vera <billy@billy.com.mx>  Wed, 13 May 2009 14:40:42 -0500

hwinfo (15.3-1) unstable; urgency=low

  * New upstream release
  * Renamed libhd14 to libhd15 according to new soname.

 -- William Vera <billy@billy.com.mx>  Sun, 10 Aug 2008 14:24:34 -0500

hwinfo (14.19-2) unstable; urgency=low

  * Fixed quilt option (-p0) (Closes: 485256)
  * Updated Standards Version to 3.8.0

 -- William Vera <billy@billy.com.mx>  Fri, 13 Jun 2008 19:53:16 -0500

hwinfo (14.19-1) unstable; urgency=low

  * New upstream release

 -- William Vera <billy@billy.com.mx>  Fri, 06 Jun 2008 18:48:44 -0500

hwinfo (14.17-1) unstable; urgency=low

  * New upstream release (Closes: #438700)
  * Updated libhd13-doc control file.
  * Corrected spelling error in the control file Debian-Edu Debian Edu.
  * Updated copyright with the upstream information.
  * Renamed libhd13 to libhd14 according to new soname.

 -- William Vera <billy@billy.com.mx>  Sun, 25 May 2008 19:14:49 -0500

hwinfo (13.41-1) unstable; urgency=low

  * New upstream release

 -- William Vera <billy@billy.com.mx>  Thu, 09 Aug 2007 09:34:01 -0500

hwinfo (13.39-1) unstable; urgency=low

  * New upstream release
  * Added command in debian/rules to erase .pc, related with quilt

 -- William Vera <billy@billy.com.mx>  Wed, 01 Aug 2007 05:03:00 -0500

hwinfo (13.35-2) unstable; urgency=low

  * New maintainer (Closes: #412637).
  * Changed deprecated variables at control file.

 -- William Vera <billy@billy.com.mx>  Tue, 03 Jul 2007 01:16:03 -0500

hwinfo (13.35-1) unstable; urgency=low

  * New upstream releases.
  * Refresh patches against new upstream
  * Update debian/watch to handle multi-digit revisions of a single version of
    the upstream source rpm.
  * Orphan package.
    - Set maintainer to Debian QA Group

 -- James Vega <jamessan@debian.org>  Mon, 18 Jun 2007 20:54:02 +0100

hwinfo (13.28-1) unstable; urgency=low

  * New upstream releases.
    - Fixes usage of x86 asm on non-x86 architectures
      (Closes: #412713, #414723)

 -- James Vega <jamessan@debian.org>  Tue, 13 Mar 2007 10:38:19 -0400

hwinfo (13.23-1) unstable; urgency=low

  * New upstream releases
  * debian/rules: Add a get-orig-source target which fetches the upstream RPM
    and repacks as a tarball.

 -- James Vega <jamessan@debian.org>  Mon, 26 Feb 2007 07:24:26 -0500

hwinfo (13.11-3) unstable; urgency=low

  * Add cpu.c-alpha_bogo patch, which fixes a FTBFS on alpha because of an
    undefined variable.

 -- James Vega <jamessan@debian.org>  Fri,  3 Nov 2006 07:28:15 -0500

hwinfo (13.11-2) unstable; urgency=low

  * Stop shipping our own hwinfo manpage, and use a patched version of
    upstream's.  The patch removes references to items that are SUSE-specific.

 -- James Vega <jamessan@debian.org>  Thu,  2 Nov 2006 23:19:47 -0500

hwinfo (13.11-1) unstable; urgency=low

  * New upstream version.
  * Re-add a previous patch (tiocgdev_undefined) which removes use of
    TIOCGDEV, an ioctl that isn't supported in the mainline kernel anymore.

 -- James Vega <jamessan@debian.org>  Thu,  2 Nov 2006 22:35:50 -0500

hwinfo (13.4-1) unstable; urgency=low

  * New upstream version.
  * Switch from dbs to quilt
    - Revamp debian/rules
    - Add quilt and remove dbs from Build-Depends in debian/control
  * Remove reference to hwscan(8) from manpage. (closes: #388245)
  * Re-wrote manpage from scratch.  Drop docbook-to-man from Build-Depends.
  * Remove NEWS.Debian since it is no longer applicable.

 -- James Vega <jamessan@debian.org>  Thu, 28 Sep 2006 20:56:06 -0400

hwinfo (13.3-3) unstable; urgency=low

  * Add debian/patches/93_serial_struct to fix a FTBFS on sparc. Thanks Clint
    Adams.  (closes: #387952)

 -- James Vega <jamessan@debian.org>  Sun, 17 Sep 2006 13:56:18 -0400

hwinfo (13.3-2) unstable; urgency=low

  * debian/control:
    - Move doxygen from Build-Depends-Indep to Build-Depends.
      (closes: #387872)
  * debian/copyright:
    - Update the download URL.

 -- James Vega <jamessan@debian.org>  Sun, 17 Sep 2006 09:30:12 -0400

hwinfo (13.3-1) unstable; urgency=low

  * New maintainer. (closes: #386035)
  * New upstream releases.
    - hwinfo --pci no longer lists everything as an ISDN adapter
      (closes: #381387)
  * debian/patches:
    - Remove 01_sysfsutils2 and 02_sysfsutils2_s390, sysfs isn't used in the
      new release.
    - Remove 03_dbus-api-fix-thoenig, applied upstream.
  * debian/control:
    - Update maintainer address.
    - Remove libsysfs-dev Build-Depends.
    - Remove libhd13-dev's libsysfs-dev Depends.
    - Add libhd13-doc package.
    - Add doxygen Build-Depends-Indep.
  * debian/rules:
    - Add build/binary-indep to build libhd's documentation.
  * Add debian/watch file.

 -- James Vega <jamessan@debian.org>  Fri, 15 Sep 2006 01:15:00 -0400

hwinfo (13.0-6) unstable; urgency=low

  * Added patch from upstream to change dbus connection-close function.
    Thanks to Sebastian Dröge for bugreport and patch. (Closes: #385527)

 -- Morten Werner Olsen <werner@debian.org>  Mon,  4 Sep 2006 21:47:48 +0200

hwinfo (13.0-5) unstable; urgency=low

  * Fixed a cut'n'paste error in sysfsutils2 patch which caused all the PCI
    interfaces to be reported as ISDN adapters. (Closes: #381387)
  * Corrected a typo in debian/copyright (URL to .src.rpm).

 -- Morten Werner Olsen <werner@debian.org>  Sun, 20 Aug 2006 13:34:08 +0200

hwinfo (13.0-4) unstable; urgency=low

  * Patch src/hd/kbd.c to not include asm/kbio.h or use KIOC* defines
    (thanks to Clint Adams). (Closes: #378653)

 -- Morten Werner Olsen <werner@debian.org>  Tue, 18 Jul 2006 11:23:17 +0200

hwinfo (13.0-3) unstable; urgency=low

  * Added separate Section-fileds for libhd13 and libhd13-dev in
    debian/control. Thanks to the Debian distribution maintenance software
    for notifying me. :)

 -- Morten Werner Olsen <werner@debian.org>  Sun, 16 Jul 2006 16:16:08 +0200

hwinfo (13.0-2) unstable; urgency=low

  * New sysfsutils2-patch for src/hd/s390.c to fix FTBFS on S/390.
    (Closes: #377611)
  * New patch to remove the redefine of serial_struct in src/hd/kbd.c.
  * Added linux-kernel-headers to Build-Depends as it has some files needed
    for at least Sparc.

 -- Morten Werner Olsen <werner@debian.org>  Sun, 16 Jul 2006 15:12:43 +0200

hwinfo (13.0-1) unstable; urgency=low

  * New upstream release.
  * Upstream is bumping the soname, so changing libhd12 and libhd12-dev
    to libhd13 and libhd13-dev.
  * Removed debian/patches/02_tiocgdev_undeclared as the TIOCGDEV is
    commented out by upstream.
  * Added patch from Steinar H. Gunderson and Filippo Giunchedi that ports
    hwinfo to use sysfsutils2. Thanks a lot for this patch, Steinar and
    Filippo! (Closes: #356352)

 -- Morten Werner Olsen <werner@debian.org>  Sun,  9 Jul 2006 21:26:26 +0200

hwinfo (12.9-2experimental1) experimental; urgency=low

  * Added the libhd12 and libhd12-dev packages again. (Closes: #362865)
  * Added Build-Dependency to perl (dbs-script in debian/rules).
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Morten Werner Olsen <werner@debian.org>  Sun,  4 Jun 2006 13:53:40 +0200

hwinfo (12.9-2) unstable; urgency=low

  * Added patch that prevents segfault on architectures where the size
    of a pointer is greater than the size of an integer (thanks to
    Dann Frazier). (Closes: #356393)

 -- Morten Werner Olsen <werner@debian.org>  Sun, 30 Apr 2006 23:00:25 +0200

hwinfo (12.9-1) unstable; urgency=low

  * New upstream release.
     - Rewrote debian/patches/800_new_arches to debian/patches/80_new_archs
       as some parts was included upstream and other parts is afaik not
       needed.
     - Removed debian/patches/810_gcc4_fix (fixed upstream).
     - Removed debian/patches/820_amd64_fix (fixed upstream)
  * Updated debian/copyright:
     - Changed Copyright to License (thanks to Justin Pryzby).
       (Closes: #290182)
     - FSF's address (thanks to Lintian).
  * Added Build-Dependency on libdbus-1-dev and libhal-dev.
  * Now building against the new version of sysfsutils (2.0.0).
    (Closes: #347633, #355335)
  * Added debian/patches/01_sysfsutils with missing structs and functions
    from old version of sysfsutils (thanks to Petter Reinholdtsen).
  * Added debian/NEWS with info about the missing functionality due to the
    changes in debian/patches/01_sysfsutils.
  * Added debian/patches/02_tiocgdev_undefined which remove one test in a
    serial console test where TIOCGDEV is used (a SuSE-specific thing). :/
  * New maintainer email address. :)

 -- Morten Werner Olsen <werner@debian.org>  Sat, 11 Mar 2006 09:25:08 +0100

hwinfo (8.38-5) unstable; urgency=low

  * The patches/820_amd64_fix seems to have disappeared. (Closes: #329185)

 -- Morten Werner Olsen <werner@skolelinux.no>  Sat, 26 Nov 2005 23:18:52 +0100

hwinfo (8.38-4) unstable; urgency=low

  * Replaced 810_hppa_and_m68k_port with 800_new_archs which now includes
    hppa, m68k, and ppc64 (thanks to Andreas Jochens).
    (Closes: #304079, #329240)
  * Added 810_gcc4_fix to make hwinfo build with gcc4 (thanks to
    Andreas Johens). (Closes: #304079)
  * Added 820_amd64_fix which fixes some assembly bugs with 64bit arch
    (thanks to Andreas Johens). (Closes: #329185)
  * Bumped Standards-Version to 3.6.2 (no changes).

 -- Morten Werner Olsen <werner@skolelinux.no>  Mon, 14 Nov 2005 18:58:17 +0100

hwinfo (8.38-3) unstable; urgency=low

  * 810_hppa_and_m68k_port: replaced both occurances of __m68k__ with
    __mc68000__ to make hwinfo build on m68k-archs (thanks to Adam Conrad).
    (Closes: #270408)

 -- Morten Werner Olsen <werner@skolelinux.no>  Tue,  5 Oct 2004 19:29:14 +0200

hwinfo (8.38-2) unstable; urgency=low

  * Removed conflicts to libhd, libhd-dev and libhd-doc to provide an easier
    upgrade path.

 -- Morten Werner Olsen <werner@skolelinux.no>  Mon,  2 Aug 2004 12:25:30 +0200

hwinfo (8.38-1) unstable; urgency=low

  * New upstream release.
  * Major change: now building a static version of the hwinfo binary, and
    dropping the libhd* packages due to upstream's way of maintaining the
    otherwise shared library in the hwinfo package (thanks to my AM,
    Michael Banck, for pointing out this problem for me).
  * Added conflicts to libhd, libhd-dev and libhd-doc.
  * Added man-page for hwinfo.
  * Added patch to make hwinfo build on hppa and m68k (thanks to Joel Soete
    and Martin-Ãric Racine). (Closes: #252298, #253673)
  * Tried to improve package descriptions. (Closes: #245080)
  * Removed the binary hwscan from the package.

 -- Morten Werner Olsen <werner@skolelinux.no>  Mon,  5 Jul 2004 22:13:29 +0000

hwinfo (7.30-2) unstable; urgency=low

  * Moved /usr/lib/libhd.a and /usr/lib/libhd_tiny.a from libhd to libhd-dev.
    (Thanks to Petter Reinholdtsen for pointing this out.)
  * Added gcc option -D_REENTRANT to Makefile and Makefile.common
    (debian/patches/010_makefile and debian/patches/020_makefile_common).
  * Fixed a typo in debian/control (hdlib -> libhd).

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun, 18 Apr 2004 11:29:18 +0200

hwinfo (7.30-1) unstable; urgency=low

  * Initial Release. (Closes: #242208)

 -- Morten Werner Olsen <werner@skolelinux.no>  Tue,  6 Apr 2004 09:50:03 +0200
